# Planungsübersicht

`GET https://{tenant}.stamp.eu/rest/roster_planning/overview/{start}/{end}`

Coverage, open
shifts and staffing per unit of the planning scope in one call

## Pfadparameter

| Name | Typ | Pflicht |
| --- | --- | --- |
| `start` | string | ja |
| `end` | string | ja |

## Query-Parameter

| Name | Typ | Pflicht |
| --- | --- | --- |
| `unit_ids[]` | string[] | nein |

## Antworten

### 200

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `data` | object[] | ja |
| `data[].unit` | object | ja |
| `data[].unit.id` | string | ja |
| `data[].unit.name` | string | ja |
| `data[].unit.parent_id` | string \| null | ja |
| `data[].coverage` | object[] | ja |
| `data[].assigned_count` | integer | ja |
| `data[].open_count` | integer | ja |
| `data[].open_shifts` | object[] | ja |
| `data[].open_shifts[].id` | string | ja |
| `data[].open_shifts[].roster_id` | string | ja |
| `data[].open_shifts[].date` | string | ja |
| `data[].open_shifts[].shift_id` | string \| null | ja |
| `data[].open_shifts[].shift_name` | string \| null | ja |

### 401: Unauthenticated

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 422: Validation error

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Errors overview. |
| `errors` | object | ja | A detailed description of each field that failed validation. |
